[Overview][Classes][Index] | Reference for unit 'nvContext' (#nvidia-widgets)

# UIContext.doHorizontalSlider

UI method for rendering and processing a horizontal slider

## Declaration

Source position: nvcontext.pas line 145

`public function UIContext.doHorizontalSlider(`
`const aRect: Rect;`
`min: Double;`
`max: Double;`
`var Value: Double;`
`style: Integer = 0`
`):Boolean;`

## Arguments

`aRect` |  | optionally provides a location and size for the widget
`min` |  | min bound of the varying range of the value
`max` |  | max bound of the varying range of the value
`Value` |  | the value edited by the widget
`style` |  | optional style flag to modify the look

## Function result

True if the slider value changed

## Description

Horizontal slider is used to edit and display a scalar value in the specified range [min; max].